package com.sy.coinage.app.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
public class HalfBindReq {

    @ApiModelProperty(value = "checkId", required = true)
    @NotNull(message = "checkId不能为空")
    private Integer checkId;

    @ApiModelProperty(value = "EPC码", required = true)
    @NotBlank(message = "rfid不能为空")
    private String rfid;

    @ApiModelProperty(value = "编号", required = true)
    @NotBlank(message = "编号不能为空")
    private String serialNumber;

    @ApiModelProperty(value = "箱子数量", required = true)
    @NotNull(message = "箱子数量不能为空")
    private Integer qty;

    @ApiModelProperty(value = "拆拍登记模式1:条码模式2:手工模式", required = true)
    @NotNull(message = "拆拍登记模式不能为空")
    private Integer mode;

//    @ApiModelProperty(value = "条码模式冠字号集合，条码模式必填")
//    private List<String> crownList;

//    @ApiModelProperty(value = "冠字号:当是条码模式，每个冠字号用逗号分隔；当时手工模式，则起始用逗号，两个号段之间用分号分隔")
//    @NotEmpty(message = "冠字号不能为空")
//    private List<String> crownStr;

    @ApiModelProperty(value = "拆分开始冠字号")
    @NotBlank(message = "拆分开始冠字号不能为空")
    private String crownFrom;

    @ApiModelProperty(value = "拆分结束冠字号")
    @NotBlank(message = "拆分结束冠字号不能为空")
    private String crownTo;

}
