package com.sy.coinage.core.req;

import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * -默认分布查询请求bean
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PageReq {

    @ApiModelProperty(value = "页码")
    @Builder.Default
    private Integer page = 1;

    @ApiModelProperty(value = "条数")
    @Builder.Default
    private Integer rows = 10;
    /**
     * -排序字段
     */
    @ApiModelProperty(hidden = true)
    private String column;
    /**
     * -排序类型 -正序asc 倒序desc
     */
    @ApiModelProperty(hidden = true)
    private String order;

    @ApiModelProperty(value = "开始日期")
    @JSONField(format = "yyyy-MM-dd")
    private Date startDate;

    @ApiModelProperty(value = "结束日期")
    @JSONField(format = "yyyy-MM-dd")
    private Date endDate;

}
