package com.sy.coinage.sys.vo;

import com.sy.coinage.core.util.TreeUtil.TreeNode;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.Data;

/**
 * -机构部门列表响应bean
 */
@Data
public class DeptListVO extends TreeNode<Integer> implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * -自增主键
     */
    private Integer id;

    /**
     * -状态 1可用 2禁用
     */
    private Integer status;

    /**
     * -排序
     */
    private Integer sorted;

    /**
     * -机构id
     */
    private Integer orgId;

    /**
     * -上级id
     */
    private Integer pid;

    /**
     * -负责人
     */
    private String directorName;

    /**
     * -电话
     */
    private String telephone;

    /**
     * -名称
     */
    private String name;

    /**
     * -创建人
     */
    private String createBy;

    /**
     * -创建日期
     */
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "备注")
    private String remark;

    @Override
    public Integer getNodeId() {
        return id;
    }

    @Override
    public Integer getNodeParentId() {
        return pid;
    }

    @Override
    public CharSequence getNodeName() {
        return name;
    }

}
