package com.sy.coinage.workshop.req;

import com.sy.coinage.core.interceptor.Create;
import com.sy.coinage.core.interceptor.Update;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.NotBlank;

import org.hibernate.validator.constraints.Length;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;
import org.hibernate.validator.constraints.Range;
import lombok.Data;

/**
 * -添加/修改请求bean
 */
@Data
public class DeliveryJumpReq implements Serializable {

    private static final long serialVersionUID = 1L;
    @NotNull(message = "id不能为空", groups = {Update.class})
    @Range(min = 1, groups = {Update.class})
    private Integer id;

    @ApiModelProperty(value = "品名ID", required = true)
    @NotNull(message = "品名ID不能为空")
    private Integer securitiesId;

    @ApiModelProperty(value = "起始拍号", required = true)
    @NotBlank(message = "起始拍号不能为空", groups = {Create.class})
    @Length(max = 20, message = "起始拍号长度不正确,最大长度20字符")
    private String serialNumberStart;

    @ApiModelProperty(value = "结束拍号", required = true)
    @NotBlank(message = "结束拍号不能为空", groups = {Create.class})
    @Length(max = 20, message = "结束拍号长度不正确,最大长度20字符")
    private String serialNumberEnd;


}
