package com.sy.coinage.workshop.req;

import com.sy.coinage.core.interceptor.Create;
import com.sy.coinage.core.interceptor.Update;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.NotBlank;

import org.hibernate.validator.constraints.Length;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;
import org.hibernate.validator.constraints.Range;
import lombok.Data;

/**
 * -发货单主表添加请求bean
 */
@Data
public class DeliveryReq implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * -id -10
     */
    @NotNull(message = "id不能为空", groups = {Update.class})
    @Range(min = 1, groups = {Update.class})
    private Integer id;
    /**
     * -发货单号 -20
     */
    @ApiModelProperty(value = "发货单号", required = true)
    @NotBlank(message = "发货单号不能为空")
    @Length(max = 20, message = "发货单号长度20不正确")
    private String orderNo;
    /**
     * -拍数-计划 -10
     */
    @ApiModelProperty(value = "拍数-计划", required = true)
    @NotNull(message = "拍数-计划不能为空")
    private Integer planPar;
    /**
     * -零箱数-计划 -10
     */
    @ApiModelProperty(value = "零箱数-计划", required = true)
//    @NotNull(message = "零箱数-计划不能为空")
    @Min(0)
    private Integer planBoxNum;

    /**
     * -发货地址ID -10
     */
    @ApiModelProperty(value = "发货地址ID", required = true)
    @NotNull(message = "发货地址ID不能为空")
    private Integer addressId;

    /**
     * -品名id -10
     */
    @ApiModelProperty(value = "品名id", required = true)
    @NotNull(message = "品名id不能为空")
    private Integer securitiesId;


}
