package com.sy.coinage.workshop.req;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;
import com.sy.coinage.core.req.PageReq;
import lombok.Getter;
import lombok.Setter;

/**
 * -列表查询请求bean
 */
@Getter
@Setter
public class ScanLogListReq extends PageReq implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * -rfid -12
     */
    @ApiModelProperty(value = "rfid")
    private String rfid;
    /**
     * -物料编号 -20
     */
    @ApiModelProperty(value = "物料编号")
    private String serialNumber;
    /**
     * -质量标识 1:无质量问题 2:有质量问题 -10
     */
    @ApiModelProperty(value = "质量标识 1:无质量问题 2:有质量问题")
    private Integer isQuality;
    /**
     * -是否为整拍 1:整拍 2: 拆拍 -10
     */
    @ApiModelProperty(value = "是否为整拍 1:整拍 2: 拆拍")
    private Integer isWhole;
    /**
     * -拆拍的箱子数量 -10
     */
    @ApiModelProperty(value = "拆拍的箱子数量")
    private Integer qty;
    /**
     * -冠字号前缀 -20
     */
    @ApiModelProperty(value = "冠字号前缀")
    private String crownPrefix;
    /**
     * -扫描时间 -19
     */
    @ApiModelProperty(value = "扫描时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date created;
    /**
     * -仓库编号:101:造币一部临时库 102:造币二部临时库103:造币三部临时库 201:主库一 202 主库二 （同一主库下的分库） -10
     */
    @ApiModelProperty(value = "仓库编号:101:造币一部临时库 102:造币二部临时库103:造币三部临时库  201:主库一 202 主库二 （同一主库下的分库）")
    private String wareId;
    /**
     * -操作类型: 2 入库 3 出库 -10
     */
    @ApiModelProperty(value = "操作类型: 2 入库 3 出库")
    private Integer opType;
    /**
     * -1:扫描正常 2:扫描异常（没在基本信息表的rfid） -10
     */
    @ApiModelProperty(value = "1:扫描正常 2:扫描异常（没在基本信息表的rfid）")
    private Integer status;
    /**
     * -品种 -20
     */
    @ApiModelProperty(value = "品种")
    private String securities;
    /**
     * -品种ID -10
     */
    @ApiModelProperty(value = "品种ID")
    private Integer securitiesId;

}
