package com.sy.coinage.workshop.req;

import com.sy.coinage.core.interceptor.Create;
import com.sy.coinage.core.interceptor.Update;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.NotBlank;

import org.hibernate.validator.constraints.Length;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

import org.hibernate.validator.constraints.Range;
import lombok.Data;

/**
 * -大屏数据管理表添加/修改请求bean
 */
@Data
public class ScreenDataReq implements Serializable {

    private static final long serialVersionUID = 1L;
    @NotNull(message = "id不能为空", groups = {Update.class})
    @Range(min = 1, groups = {Update.class})
    private Integer id;

    @ApiModelProperty(value = "品名id", required = true)
    @NotNull(message = "品名id不能为空")
    private Integer securitiesId;

    @ApiModelProperty(value = "仓库id", required = true)
    @NotNull(message = "仓库id不能为空")
    private Integer wareId;

    @ApiModelProperty(value = "当前库存(箱)", required = true)
    @NotNull(message = "当前库存(箱)不能为空")
    private Integer qty;

    @ApiModelProperty(value = "今日入库(箱)", required = true)
    @NotNull(message = "今日入库(箱)不能为空")
    private Integer dayInQty;

    @ApiModelProperty(value = "今日出库(箱)", required = true)
    @NotNull(message = "今日出库(箱)不能为空")
    private Integer dayOutQty;

}
