package com.sy.coinage.workshop.req;

import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;
import com.sy.coinage.core.req.PageReq;
import lombok.Getter;
import lombok.Setter;

/**
 * -车间内部迁移表列表查询请求bean
 */
@Getter
@Setter
public class WorkshopTransferListReq extends PageReq implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * -操作类型1:产成品到剔除品库位 2: 剔除品库位到机台 -10
     */
    @ApiModelProperty(value = "操作类型1:产成品到剔除品库位 2: 剔除品库位到机台")
    private Integer opType;
    /**
     * -操作时间 -19
     */
    @ApiModelProperty(value = "操作时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * -操作人ID -10
     */
    @ApiModelProperty(value = "操作人ID")
    private Integer operatorId;
    /**
     * -操作人名称 -20
     */
    @ApiModelProperty(value = "操作人名称")
    private String operatorCn;
    /**
     * -复核人ID -10
     */
    @ApiModelProperty(value = "复核人ID")
    private Integer checkId;
    /**
     * -复核人姓名 -20
     */
    @ApiModelProperty(value = "复核人姓名")
    private String checker;
    /**
     * -品类ID -10
     */
    @ApiModelProperty(value = "品类ID")
    private Integer securitiesId;
    /**
     * -品类名称 -20
     */
    @ApiModelProperty(value = "品类名称")
    private String securities;
    /**
     * -部门名称 -20
     */
    @ApiModelProperty(value = "部门名称")
    private String dept;
    /**
     * -部门ID -10
     */
    @ApiModelProperty(value = "部门ID")
    private Integer deptId;
    /**
     * -拍子总数 -10
     */
    @ApiModelProperty(value = "拍子总数")
    private Integer racketNum;
    /**
     * -零箱数 -10
     */
    @ApiModelProperty(value = "零箱数")
    private Integer boxNum;
    /**
     * -零枚数 -10
     */
    @ApiModelProperty(value = "零枚数")
    private Integer piecesTotal;
    /**
     * -1:产成品库2:剔除品库3机台 -10
     */
    @ApiModelProperty(value = "1:产成品库2:剔除品库3机台")
    private Integer locFrom;
    /**
     * -1:产成品库2:剔除品库3机台 -10
     */
    @ApiModelProperty(value = "1:产成品库2:剔除品库3机台")
    private Integer locTo;

}
