package com.sy.coinage.workshop.vo;

import com.sy.coinage.core.annotation.FastJsonFieldProfile;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.Data;

/**
 * BaseInfo查询响应bean
 */
@Data
public class BaseInfoVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * -id
     */
    @ApiModelProperty(value = "id")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "id")
    private Integer id;
    /**
     * -EPC码
     */
    @ApiModelProperty(value = "EPC码")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "rfid")
    private String rfid;
    /**
     * -封包线产品来源部门ID
     */
    @ApiModelProperty(value = "封包线产品来源部门ID")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "res_dept_id")
    private Integer resDeptId;
    /**
     * -封包线产品来源部门名称
     */
    @ApiModelProperty(value = "封包线产品来源部门名称")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "res_dept")
    private String resDept;
    /**
     * -部门名称
     */
    @ApiModelProperty(value = "部门名称")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "dept")
    private String dept;
    /**
     * -部门ID
     */
    @ApiModelProperty(value = "部门ID")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "dept_id")
    private Integer deptId;
    /**
     * -创建人
     */
    @ApiModelProperty(value = "创建人")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "create_by")
    private String createBy;
    /**
     * -创建人id
     */
    @ApiModelProperty(value = "创建人id")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "create_id")
    private Integer createId;
    /**
     * -创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "create_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * -生命周期状态:1初始登记 2:车间入库 3:车间出库 4:总库入库 5:主库抽检出库 6.车间抽检入库确认 7.车间抽检出库8 主库抽检返回确认 9返检总库出库 10:返检车间确认 11拆包
     * 12：已发货
     */
    @ApiModelProperty(
            value = "生命周期状态:1初始登记 2:车间入库 3:车间出库 4:总库入库  5:主库抽检出库 6.车间抽检入库确认 7.车间抽检出库8 主库抽检返回确认 9返检总库出库 10:返检车间确认 11拆包 12：已发货 13:返回机台")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "status")
    private Integer status;
    /**
     * -品名ID
     */
    @ApiModelProperty(value = "品名ID")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "securities_id")
    private Integer securitiesId;
    /**
     * -品名
     */
    @ApiModelProperty(value = "品名")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "securities")
    private String securities;
    /**
     * -编号
     */
    @ApiModelProperty(value = "编号")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "serial_number")
    private String serialNumber;
    /**
     * -冠字号前缀
     */
    @ApiModelProperty(value = "冠字号前缀")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "crown_prefix")
    private String crownPrefix;
    /**
     * -皮重
     */
    @ApiModelProperty(value = "皮重")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "tare_weight")
    private Double tareWeight;
    /**
     * -毛重
     */
    @ApiModelProperty(value = "毛重")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "gross_weight")
    private Double grossWeight;
    /**
     * -称重人ID
     */
    @ApiModelProperty(value = "称重人ID")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "weightor_id")
    private Integer weightorId;
    /**
     * -称重人
     */
    @ApiModelProperty(value = "称重人")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "weightor")
    private String weightor;
    /**
     * -称重日期
     */
    @ApiModelProperty(value = "称重日期")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "weight_date")
    @JSONField(format = "yyyy-MM-dd")
    private Date weightDate;
    /**
     * -称重时间 hh:mm:ss
     */
    @ApiModelProperty(value = "称重时间 hh:mm:ss")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "weight_time")
    private String weightTime;
    /**
     * -打印状态: 1.未打印 2.已打印
     */
    @ApiModelProperty(value = "打印状态: 1.未打印 2.已打印")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "print_status")
    private Integer printStatus;
    /**
     * -打印时间
     */
    @ApiModelProperty(value = "打印时间")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "print_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date printTime;
    /**
     * -打印操作人ID
     */
    @ApiModelProperty(value = "打印操作人ID")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "printer_id")
    private Integer printerId;
    /**
     * -打印操作人
     */
    @ApiModelProperty(value = "打印操作人")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "printer")
    private String printer;
    /**
     * -抽检状态1:主库出库 2:车间入库 3:车间出库 4:主库入库
     */
    @ApiModelProperty(value = "抽检状态1:主库出库 2:车间入库 3:车间出库 4:主库入库")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "check_status")
    private Integer checkStatus;
    /**
     * -主库出库抽检时间
     */
    @ApiModelProperty(value = "主库出库抽检时间")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "check_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date checkTime;
    /**
     * -车间确认入库时间
     */
    @ApiModelProperty(value = "车间确认入库时间")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "workshop_check_in_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date workshopCheckInTime;
    /**
     * -抽检车间出库时间
     */
    @ApiModelProperty(value = "抽检车间出库时间")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "workshop_check_out_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date workshopCheckOutTime;
    /**
     * -抽查返回时间
     */
    @ApiModelProperty(value = "抽查返回时间")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "check_return_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date checkReturnTime;
    /**
     * -拆包状态 1:未拆包 2:已拆包
     */
    @ApiModelProperty(value = "拆包状态 1:未拆包 2:已拆包")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "unpackage_status")
    private Integer unpackageStatus;
    /**
     * -拆包时间
     */
    @ApiModelProperty(value = "拆包时间")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "unpackage_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date unpackageTime;
    /**
     * -返检状态 1:未返检 2: 已返检
     */
    @ApiModelProperty(value = "返检状态 1:未返检 2: 已返检")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "return_check_status")
    private Integer returnCheckStatus;
    /**
     * -车间返检确认状态1:未确认2:已确认接收
     */
    @ApiModelProperty(value = "车间返检确认状态1:未确认2:已确认接收")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "return_check_confirm_status")
    private Integer returnCheckConfirmStatus;
    /**
     * -车间返检确认时间
     */
    @ApiModelProperty(value = "车间返检确认时间")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "return_check_confirm_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date returnCheckConfirmTime;
    /**
     * -返检时间
     */
    @ApiModelProperty(value = "返检时间")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "return_check_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date returnCheckTime;
    /**
     * -质量状态 1:合格2:待定3:待检
     */
    @ApiModelProperty(value = "质量状态 1:合格2:待定3:待检")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "quality_status")
    private Integer qualityStatus;
    /**
     * -设置质量时间
     */
    @ApiModelProperty(value = "设置质量时间")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "quality_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date qualityTime;
    /**
     * -发货时间
     */
    @ApiModelProperty(value = "发货时间")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "delivery_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date deliveryTime;
    /**
     * -发货地址id
     */
    @ApiModelProperty(value = "发货地址id")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "address_id")
    private String addressId;
    /**
     * -发货地址
     */
    @ApiModelProperty(value = "发货地址")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "address_cn")
    private String addressCn;
    /**
     * -绑定rfid数据的来源类型： 1:封包线整拍数据 2.封包线非整拍数据 3:拆包后新构成的rfid 4:原有物料整拍绑定 5.原有物料整拍绑定（原始非整拍）
     */
    @ApiModelProperty(value = "绑定rfid数据的来源类型： 1:封包线整拍数据 2.封包线非整拍数据 3:拆包后新构成的rfid 4:原有物料整拍绑定 5.原有物料整拍绑定（原始非整拍）")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "origin_type")
    private Integer originType;
    /**
     * -来自封包线数据的请求ID,用于判重
     */
    @ApiModelProperty(value = "来自封包线数据的请求ID,用于判重")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "seq_id")
    private String seqId;
    /**
     * -数量:一个拍子上有多少箱（拆包：表示拆的包有多少箱)，主要用于拆包
     */
    @ApiModelProperty(value = "数量:一个拍子上有多少箱（拆包：表示拆的包有多少箱)，主要用于拆包")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "qty")
    private Integer qty;
    /**
     * -当仅为拆包登记绑定新的rfid时（origin_type=2），将拆出的数据变为字符串保存
     */
    @ApiModelProperty(value = "当仅为拆包登记绑定新的rfid时（origin_type=2），将拆出的数据变为字符串保存")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "crown_between")
    private String crownBetween;
    /**
     * -冠字号起始
     */
    @ApiModelProperty(value = "冠字号起始")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "crown_from")
    private String crownFrom;
    /**
     * -冠字号结束点
     */
    @ApiModelProperty(value = "冠字号结束点")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "crown_to")
    private String crownTo;
    /**
     * -复核人ID
     */
    @ApiModelProperty(value = "复核人ID")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "check_id")
    private Integer checkId;
    /**
     * -复核人姓名
     */
    @ApiModelProperty(value = "复核人姓名")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "checker")
    private String checker;
    /**
     * -整拍物料存储在哪个库:201主库一，202主库二,102造币二部临时库
     */
    @ApiModelProperty(value = "整拍物料存储在哪个库:201主库一，202主库二,102造币二部临时库")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "loc_ware_id")
    private Integer locWareId;
    /**
     * -当存储在主库一，主库二时，需保存该库库位信息
     */
    @ApiModelProperty(value = "当存储在主库一，主库二时，需保存该库库位信息")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "loc_area_id")
    private Integer locAreaId;

    @ApiModelProperty(value = "解缴单号")
    @TableField(select = false, exist = false)
    private String orderNo;
}
