package com.sy.coinage.workshop.vo;

import com.sy.coinage.core.annotation.FastJsonFieldProfile;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.Data;

/**
 * Check查询响应bean
 */
@Data
public class CheckVO implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "id")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "id")
    private Integer id;

    @ApiModelProperty(value = "抽检单号(唯一标识)")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "order_no")
    private String orderNo;

    @ApiModelProperty(value = "抽检箱子总数量")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "qty")
    private Integer qty;

    @ApiModelProperty(value = "总库仓库ID")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "ware_id")
    private Integer wareId;
    /**
     * -总库名称
     */
    @ApiModelProperty(value = "总库名称")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "ware_cn")
    private String wareCn;
    /**
     * -目标部门ID
     */
    @ApiModelProperty(value = "目标部门ID")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "dept_id")
    private Integer deptId;
    /**
     * -目标部门名称
     */
    @ApiModelProperty(value = "目标部门名称")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "dept")
    private String dept;

    @ApiModelProperty(value = "品名id")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "securities_id")
    private Integer securitiesId;

    @ApiModelProperty(value = "品名")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "securities")
    private String securities;
    /**
     * -创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "create_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * -操作人id
     */
    @ApiModelProperty(value = "操作人id")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "operator_id")
    private Integer operatorId;
    /**
     * -操作人
     */
    @ApiModelProperty(value = "操作人")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "operator_cn")
    private String operatorCn;
    /**
     * -复核人id
     */
    @ApiModelProperty(value = "复核人id")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "check_id")
    private Integer checkId;
    /**
     * -复核人姓名
     */
    @ApiModelProperty(value = "复核人姓名")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "checker")
    private String checker;
    /**
     * -产成品区域，抽检单的箱子数量。
     */
    @ApiModelProperty(value = "产成品区域，抽检单的箱子数量。")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "qty_product")
    private Integer qtyProduct;
    /**
     * -1:初识创建 2:抽检中 3: 抽检完成（仅当qty= qty_product时）
     */
    @ApiModelProperty(value = "1:初识创建 2:抽检中  3: 抽检完成（仅当qty= qty_product时）")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "status")
    private Integer status;
    /**
     * -冠字号前缀
     */
    @ApiModelProperty(value = "冠字号前缀")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "crown_prefix")
    private String crownPrefix;
}
