package com.sy.coinage.workshop.vo;

import com.sy.coinage.core.annotation.FastJsonFieldProfile;
import com.baomidou.mybatisplus.annotation.TableField;
import com.sy.coinage.workshop.model.DeliveryDetail;
import com.sy.coinage.workshop.model.WorkshopOutboundDetail;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.Data;

/**
 * Delivery查询响应bean
 */
@Data
public class DeliveryVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * -id
     */
    @ApiModelProperty(value = "id")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "id")
    private Integer id;
    /**
     * -发货单号
     */
    @ApiModelProperty(value = "发货单号")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "order_no")
    private String orderNo;
    /**
     * -拍数-计划
     */
    @ApiModelProperty(value = "拍数-计划")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "plan_par")
    private Integer planPar;
    /**
     * -零箱数-计划
     */
    @ApiModelProperty(value = "零箱数-计划")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "plan_box_num")
    private Integer planBoxNum;
    /**
     * -合计总箱数（冗余字端）
     */
    @ApiModelProperty(value = "合计总箱数（冗余字端）")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "plan_total_box")
    private Integer planTotalBox;
    /**
     * -发货地址ID
     */
    @ApiModelProperty(value = "发货地址ID")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "address_id")
    private Integer addressId;
    /**
     * -发货地址名称
     */
    @ApiModelProperty(value = "发货地址名称")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "address_cn")
    private String addressCn;
    /**
     * -发货单创建时间
     */
    @ApiModelProperty(value = "发货单创建时间")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "create_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * -创建者ID
     */
    @ApiModelProperty(value = "创建者ID")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "create_id")
    private Integer createId;
    /**
     * -创建者姓名
     */
    @ApiModelProperty(value = "创建者姓名")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "create_by")
    private String createBy;
    /**
     * -操作人ID
     */
    @ApiModelProperty(value = "操作人ID")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "operator_id")
    private Integer operatorId;
    /**
     * -操作人名称（付出人1）
     */
    @ApiModelProperty(value = "操作人名称（付出人1）")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "operator")
    private String operator;
    /**
     * -复核人ID
     */
    @ApiModelProperty(value = "复核人ID")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "check_id")
    private Integer checkId;
    /**
     * -复核人（付出人2）
     */
    @ApiModelProperty(value = "复核人（付出人2）")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "checker")
    private String checker;
    /**
     * -发货单-确认发货时间
     */
    @ApiModelProperty(value = "发货单-确认发货时间")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "updated")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date updated;
    /**
     * -发货单状态 1:初始化 2 已发货
     */
    @ApiModelProperty(value = "发货单状态  1:初始化 2 已发货")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "status")
    private Integer status;
    /**
     * -发货时间
     */
    @ApiModelProperty(value = "发货时间")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "delivery_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date deliveryTime;
    /**
     * -品名id
     */
    @ApiModelProperty(value = "品名id")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "securities_id")
    private Integer securitiesId;
    /**
     * -品名
     */
    @ApiModelProperty(value = "品名")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "securities")
    private String securities;

    @ApiModelProperty(value = "明细集合")
    List<DeliveryDetail> detailList;

}
