package com.sy.coinage.workshop.vo;

import com.alibaba.fastjson2.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.sy.coinage.core.annotation.FastJsonFieldProfile;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 产品计划查询响应bean
 */
@Data
public class ProductPlanVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "id")
    private Integer id;

    @ApiModelProperty(value = "产品名称")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "securities")
    private String securities;

    @ApiModelProperty(value = "创建时间")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "create_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "冠字号起始")
    @TableField(value = "crown_from")
    private String crownFrom;

    @ApiModelProperty(value = "冠字号结束点")
    @TableField(value = "crown_to")
    private String crownTo;

    @ApiModelProperty(value = "id")
    @TableField(value = "product_id")
    private Integer productId;

    @ApiModelProperty(value = "冠字号代码")
    @TableField(value = "crown_prefix")
    private String crownPrefix;

    @ApiModelProperty(value = "是否启用 1:启用 2:停用")
    @TableField(value = "status")
    private Integer status;

}
