package com.sy.coinage.workshop.vo;

import com.sy.coinage.core.annotation.FastJsonFieldProfile;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

import lombok.Data;

/**
 * ScreenData响应bean
 */
@Data
public class ScreenDataVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "id")
    private Integer id;
    @ApiModelProperty(value = "品名id")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "securities_id")
    private Integer securitiesId;
    @ApiModelProperty(value = "产品名称")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "securities")
    private String securities;
    @ApiModelProperty(value = "仓库id")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "ware_id")
    private Integer wareId;
    @ApiModelProperty(value = "仓库")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "ware_cn")
    private String wareCn;
    @ApiModelProperty(value = "当前库存(箱)")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "qty")
    private Integer qty;
    @ApiModelProperty(value = "今日入库(箱)")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "day_in_qty")
    private Integer dayInQty;
    @ApiModelProperty(value = "今日出库(箱)")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "day_out_qty")
    private Integer dayOutQty;
    @ApiModelProperty(value = "状态 1可用 2禁用")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "status")
    private Integer status;
}
