package com.sy.coinage.workshop.vo;

import com.sy.coinage.core.annotation.FastJsonFieldProfile;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.Data;

/**
 * WorkshopAccount查询响应bean
 */
@Data
public class WorkshopAccountVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * -id
     */
    @ApiModelProperty(value = "id")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "id")
    private Integer id;

    /**
     * -部门名称
     */
    @ApiModelProperty(value = "部门名称")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "dept")
    private String dept;
    /**
     * -部门ID
     */
    @ApiModelProperty(value = "部门ID")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "dept_id")
    private Integer deptId;
    /**
     * -品名ID
     */
    @ApiModelProperty(value = "品名ID")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "securities_id")
    private Integer securitiesId;
    /**
     * -品名
     */
    @ApiModelProperty(value = "品名")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "securities")
    private String securities;
    /**
     * -收入数量（枚）
     */
    @ApiModelProperty(value = "收入数量（枚）")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "income_qty")
    private Integer incomeQty;
    /**
     * -付出（枚）
     */
    @ApiModelProperty(value = "付出（枚）")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "pay_qty")
    private Integer payQty;
    /**
     * -内部收入(枚)
     */
    @ApiModelProperty(value = "内部收入(枚)")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "inner_income_qty")
    private Integer innerIncomeQty;
    /**
     * -内部付出（枚）
     */
    @ApiModelProperty(value = "内部付出（枚）")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "inner_pay_qty")
    private Integer innerPayQty;
    /**
     * -结存:实时实际库存数量（每笔需要进行增减计算）
     */
    @ApiModelProperty(value = "结存:实时实际库存数量（每笔需要进行增减计算）")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "inventory")
    private Integer inventory;
    /**
     * -操作员
     */
    @ApiModelProperty(value = "操作员")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "operator_id")
    private Integer operatorId;
    /**
     * -操作员
     */
    @ApiModelProperty(value = "操作员")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "operator")
    private String operator;
    /**
     * -复核人ID
     */
    @ApiModelProperty(value = "复核人ID")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "check_id")
    private Integer checkId;
    /**
     * -复核人姓名
     */
    @ApiModelProperty(value = "复核人姓名")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "checker")
    private String checker;
    /**
     * -来源地 1: 总库2:机台 3:封箱成品4:剔除品 5:印花成品 6.造币二部 7造币三部 8 其他
     */
    @ApiModelProperty(value = "来源地 1: 总库2:机台 3:封箱成品4:剔除品 5:印花成品 6.造币二部 7造币三部 8 其他")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "loc_from")
    private Integer locFrom;
    /**
     * -目的地 1: 总库2:机台 3:封箱成品4:剔除品 5:印花成品 6.造币二部 7造币三部 8 其他
     */
    @ApiModelProperty(value = "目的地 1: 总库2:机台 3:封箱成品4:剔除品 5:印花成品 6.造币二部 7造币三部 8 其他")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "loc_to")
    private Integer locTo;
    /**
     * -创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "create_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * -红冲标识 1:普通 2:红冲数据（抽检、返检）
     */
    @ApiModelProperty(value = "红冲标识 1:普通 2:红冲数据（抽检、返检）")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "red_flash_flag")
    private Integer redFlashFlag;
    /**
     * -统计台账类型：1.实物收发卡 2.封箱成品实物收发卡(车间) 3.剔除品实物收发卡(车间) 4.印花成品出入库台账 5.封箱成品出入库台账
     */
    @ApiModelProperty(value = "统计台账类型：1.实物收发卡 2.封箱成品实物收发卡(车间) 3.剔除品实物收发卡(车间) 4.印花成品出入库台账 5.封箱成品出入库台账")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "stat_type")
    private Integer statType;
    /**
     * -关联单号（有关联的写入）
     */
    @ApiModelProperty(value = "关联单号（有关联的写入）")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "order_no")
    private String orderNo;
    /**
     * -备注
     */
    @ApiModelProperty(value = "备注")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "remark")
    private String remark;
    /**
     * -摘要（总库与车间的不同）
     */
    @ApiModelProperty(value = "摘要（总库与车间的不同）")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "digest")
    private String digest;
}
